## qt6-webengine 6.3.1+dfsg2

=== debian/changelog ===
qt6-webengine (6.3.1+dfsg2-13~bpo11+3) bullseye-backports; urgency=medium

  * Another round of symbols changes. There seems to be some issues with
    complicated substs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Sep 2022 09:47:19 -0300

qt6-webengine (6.3.1+dfsg2-13~bpo11+2) bullseye-backports; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 17 Sep 2022 13:11:52 -0300

qt6-webengine (6.3.1+dfsg2-13~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Turn system ICU to off, as bullseye does not provies the right icu
    version.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Sep 2022 18:55:46 -0300

qt6-webengine (6.3.1+dfsg2-13) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Refresh remove_catapult_core.patch.

  [ Patrick Franz ]
  * Speed up builds on armhf by allowing more parallelism.

 -- Patrick Franz <deltaone@debian.org>  Thu, 25 Aug 2022 01:30:26 +0200

qt6-webengine (6.3.1+dfsg2-12) unstable; urgency=medium

  * Team upload.
  * Adjust symbols files with buildds' logs.
  * Manually mark some symbols of vtable entries to templates as optional.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 18 Aug 2022 12:27:13 -0300

qt6-webengine (6.3.1+dfsg2-11) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1013023).

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Aug 2022 15:54:21 +0200

qt6-webengine (6.3.1+dfsg2-10) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 17 Aug 2022 00:24:26 +0200

qt6-webengine (6.3.1+dfsg2-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.
  * Make libqt6webenginecore6 and libqt6webenginewidgets6 depend on the
    source package version instead of the binary package version to
    allow safe binNMUs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 21:33:19 +0200

qt6-webengine (6.3.1+dfsg2-8) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make libqt6webenginecore6 symbols depend also on libqt6webenginecore6-bin.
    Qt WebEngine is unusable without QtWebEngineProcess, and we cannot make
    the library depend on it because that would mean a circular dependency.

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1013023).
  * Add sse3-support dependency to libqt6webenginecore6 to ensure that
    x86 CPUs support SSE3 as Chromium 89+ requires it.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:06:02 +0200

qt6-webengine (6.3.1+dfsg2-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Speed up builds on armhf by allowing more parallelism.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Jul 2022 12:54:54 +0200

qt6-webengine (6.3.1+dfsg2-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust patch to fix build failures.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Jul 2022 13:42:39 +0200

qt6-webengine (6.3.1+dfsg2-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust patch to fix build failures.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 18:22:34 +0200

qt6-webengine (6.3.1+dfsg2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failures on 32-bit architectures when trying
    to compress files in the devtools-frontend.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 17:10:43 +0200

qt6-webengine (6.3.1+dfsg2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Reupload with repacked source.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 02:51:44 +0200

qt6-webengine (6.3.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove patch for diff_match_patch.js and provide the uncompressed
    original source instead.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Jul 2022 01:26:25 +0200

qt6-webengine (6.3.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update ABI to 6.3.1.
  * Remove ICU patch as it has been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Jul 2022 19:48:36 +0200

qt6-webengine (6.3.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch python2 B-D to python3 as Chromium can now be compiled with
    python3 (Closes: #1011197).

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 Jun 2022 22:43:03 +0200

qt6-webengine (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update ABI to 6.3.0.
  * Update d/copyright.
  * Adjust patches.
  * Add python3-html5lib as a B-D.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Update description of qt6-webengine-dev-tools (Closes: #1007951).
  * Remove dependency to qtchooser as it is dead upstream.

 -- Patrick Franz <deltaone@debian.org>  Sat, 18 Jun 2022 05:33:00 +0200

qt6-webengine (6.2.4+dfsg-10) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency to qtchooser as it is dead upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 15 Jul 2022 16:47:14 -0300

qt6-webengine (6.2.4+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Turn off feature to use system FFmpeg libraries (Closes: #1013427).

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Jun 2022 10:25:22 +0200

qt6-webengine (6.2.4+dfsg-7~bpo11+3) bullseye-backports; urgency=medium


