## qt6-webengine 6.4.1+dfsg

=== debian/changelog ===
qt6-webengine (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.
  * Enable link time optimization (Closes: #1015628).
  * Remove redundant build-dependencies (Closes: #1018256).

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Dec 2022 20:07:21 +0100

qt6-webengine (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update ABI to 6.4.1.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 01:52:38 +0100

qt6-webengine (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to allow building on i386.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Oct 2022 11:06:12 +0200

qt6-webengine (6.4.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Bump minimum CMake version in order to ensure we get .pc files.
  * Increase CMake verbosity level.
  * Update ABI to 6.4.0.
  * Update runtime-dependencies.
  * Adjust patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:35:00 +0200
