=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: binutils (>= 2.32-8~),
                bison,
                cmake (>= 3.24~),
@@ -27,7 +26,6 @@
                libharfbuzz-dev,
                libicu-dev,
                libjpeg-dev,
-               libjs-d3,
                libjs-jquery,
                libjs-jquery-tablesorter,
                libjsoncpp-dev,
@@ -40,8 +38,7 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
-               libqt6webchannel6-dev (>= 6.3.1~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -68,23 +65,21 @@
                libxtst-dev,
                mesa-common-dev,
                ninja-build,
-               node-pako,
-               node-rollup-plugin-terser,
-               node-yargs,
                nodejs,
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
-               qt6-positioning-dev (>= 6.3.1~),
-               qt6-tools-dev (>= 6.3.1~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-positioning-dev (>= 6.4.1~),
+               qt6-tools-dev (>= 6.4.1~),
+               qt6-webchannel-dev (>= 6.4.1~),
+               qt6-websockets-dev (>= 6.4.1~),
                re2c,
-               rollup,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -102,7 +97,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-webengine-abi (= 6.3.1)
+Provides: qt6-webengine-abi (= 6.4.1)
 Description: Qt 6 WebEngine Core library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -237,11 +232,11 @@
 Package: qml6-module-qtquick-pdf
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-controls (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-shapes (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-templates (>= 6.3.1+dfsg~),
-         qml6-module-qtquick-window (>= 6.3.1+dfsg~),
+Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-controls (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-shapes (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-templates (>= 6.4.1+dfsg~),
+         qml6-module-qtquick-window (>= 6.4.1+dfsg~),
          qt6-image-formats-plugin-pdf,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -315,3 +310,6 @@
 Depends: qt6-webengine-dev (= ${binary:Version}), ${misc:Depends}
 Description: Qt 6 WebEngine library - private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ Qt WebEngine provides a Web browser engine that makes it easy to embed content
