## qt6-webengine 6.4.2+dfsg-0rc0

=== debian/changelog ===
qt6-webengine (6.4.2+dfsg-0rc0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 11:50:10 -0300

qt6-webengine (6.4.2+dfsg-0rc0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:27 +0100

qt6-webengine (6.4.2+dfsg-0rc0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Change version as ninja causes problems with a tilde in the version.

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Dec 2022 13:45:52 +0100

qt6-webengine (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:29:37 +0100
