=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: binutils (>= 2.32-8~),
                bison,
                cmake (>= 3.24~),
@@ -38,7 +40,7 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt6opengl6-dev (>= 6.4.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -71,19 +73,19 @@
                protobuf-compiler,
                python3,
                python3-html5lib,
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
-               qt6-positioning-dev (>= 6.4.1~),
-               qt6-tools-dev (>= 6.4.1~),
-               qt6-webchannel-dev (>= 6.4.1~),
-               qt6-websockets-dev (>= 6.4.1~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-positioning-dev (>= 6.4.2~),
+               qt6-tools-dev (>= 6.4.2~),
+               qt6-webchannel-dev (>= 6.4.2~),
+               qt6-websockets-dev (>= 6.4.2~),
                re2c,
                ruby,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webengine.git
@@ -97,7 +99,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-webengine-abi (= 6.4.1)
+Provides: qt6-webengine-abi (= 6.4.2)
 Description: Qt 6 WebEngine Core library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -232,11 +234,11 @@
 Package: qml6-module-qtquick-pdf
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-controls (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-shapes (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-templates (>= 6.4.1+dfsg~),
-         qml6-module-qtquick-window (>= 6.4.1+dfsg~),
+Depends: qml6-module-qtquick (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-controls (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-shapes (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-templates (>= 6.4.2+dfsg~),
+         qml6-module-qtquick-window (>= 6.4.2+dfsg~),
          qt6-image-formats-plugin-pdf,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -281,14 +283,14 @@
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: libdevel
-Depends: libqt6webchannel6-dev,
-         libqt6webenginecore6 (= ${binary:Version}),
+Depends: libqt6webenginecore6 (= ${binary:Version}),
          libqt6webenginequick6 (= ${binary:Version}),
          libqt6webenginequickdelegatesqml6 (= ${binary:Version}),
          libqt6webenginewidgets6 (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          qt6-positioning-dev,
+         qt6-webchannel-dev,
          qt6-webengine-dev-tools (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -312,4 +314,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- Qt WebEngine provides a Web browser engine that makes it easy to embed content
